ur_rna.GUITester.ScriptParser

## Interface GuiTestScriptParserConstants

- All Known Implementing Classes:
    GuiTestScriptParser, GuiTestScriptParserTokenManager

      public interface GuiTestScriptParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANCESTOR` RegularExpression Id.
    `static int` | `ANDASSIGN` RegularExpression Id.
    `static int` | `ARROW` RegularExpression Id.
    `static int` | `ASSIGN` RegularExpression Id.
    `static int` | `ASSIGN_REF` RegularExpression Id.
    `static int` | `BIT_AND` RegularExpression Id.
    `static int` | `BIT_NOT` RegularExpression Id.
    `static int` | `BIT_OR` RegularExpression Id.
    `static int` | `CHILD` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` RegularExpression Id.
    `static int` | `DECR` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DESCENDANT` RegularExpression Id.
    `static int` | `DIGIT` RegularExpression Id.
    `static int` | `DIRECTIVE_PREFIX` RegularExpression Id.
    `static int` | `DOT` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ` RegularExpression Id.
    `static int` | `ESC_CHAR` RegularExpression Id.
    `static int` | `ESCAPED_CHAR` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FLOAT_LITERAL` RegularExpression Id.
    `static int` | `FLOAT_SUFFIX` RegularExpression Id.
    `static int` | `GE` RegularExpression Id.
    `static int` | `GT` RegularExpression Id.
    `static int` | `HEX_CHAR` RegularExpression Id.
    `static int` | `HEX_DIGIT` RegularExpression Id.
    `static int` | `HEX_LITERAL` RegularExpression Id.
    `static int` | `HOOK` RegularExpression Id.
    `static int` | `IDENTIFIER` RegularExpression Id.
    `static int` | `INCR` RegularExpression Id.
    `static int` | `INT_SUFFIX` RegularExpression Id.
    `static int` | `INTEGER_LITERAL` RegularExpression Id.
    `static int` | `LBRACE` RegularExpression Id.
    `static int` | `LBRACKET` RegularExpression Id.
    `static int` | `LE` RegularExpression Id.
    `static int` | `LETTER` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `LSHIFTASSIGN` RegularExpression Id.
    `static int` | `LT` RegularExpression Id.
    `static int` | `METHOD_PREFIX` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MINUSASSIGN` RegularExpression Id.
    `static int` | `MOD` RegularExpression Id.
    `static int` | `MULTI_LINE_COMMENT` RegularExpression Id.
    `static int` | `NE` RegularExpression Id.
    `static int` | `NEWLINE` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NULL` RegularExpression Id.
    `static int` | `OCTAL_LITERAL` RegularExpression Id.
    `static int` | `ORASSIGN` RegularExpression Id.
    `static int` | `PARENT` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `PLUSASSIGN` RegularExpression Id.
    `static int` | `POW` RegularExpression Id.
    `static int` | `RBRACE` RegularExpression Id.
    `static int` | `RBRACKET` RegularExpression Id.
    `static int` | `REL_LABEL` RegularExpression Id.
    `static int` | `REMASSIGN` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `RSIGNEDSHIFTASSIGN` RegularExpression Id.
    `static int` | `RUNSIGNEDSHIFTASSIGN` RegularExpression Id.
    `static int` | `SC_AND` RegularExpression Id.
    `static int` | `SC_OR` RegularExpression Id.
    `static int` | `SEMICOLON` RegularExpression Id.
    `static int` | `SIBLING` RegularExpression Id.
    `static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
    `static int` | `SLASH` RegularExpression Id.
    `static int` | `SLASHASSIGN` RegularExpression Id.
    `static int` | `STAR` RegularExpression Id.
    `static int` | `STARASSIGN` RegularExpression Id.
    `static int` | `STRING_CHAR` RegularExpression Id.
    `static int` | `STRING_LITERAL` RegularExpression Id.
    `static java.lang.String[]` | `tokenImage` Literal token values.
    `static int` | `TRUE` RegularExpression Id.
    `static int` | `UNICODE_CHAR` RegularExpression Id.
    `static int` | `WORD_CHAR` RegularExpression Id.
    `static int` | `WORD_START_CHAR` RegularExpression Id.
    `static int` | `XOR` RegularExpression Id.
    `static int` | `XORASSIGN` RegularExpression Id.

- - ### Field Detail

    - #### ANCESTOR

          static final int ANCESTOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ANDASSIGN

          static final int ANDASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ARROW

          static final int ARROW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASSIGN

          static final int ASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASSIGN_REF

          static final int ASSIGN_REF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BIT_AND

          static final int BIT_AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BIT_NOT

          static final int BIT_NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BIT_OR

          static final int BIT_OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CHILD

          static final int CHILD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECR

          static final int DECR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### DESCENDANT

          static final int DESCENDANT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIRECTIVE_PREFIX

          static final int DIRECTIVE_PREFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ESC_CHAR

          static final int ESC_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ESCAPED_CHAR

          static final int ESCAPED_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOAT_LITERAL

          static final int FLOAT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOAT_SUFFIX

          static final int FLOAT_SUFFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_CHAR

          static final int HEX_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_DIGIT

          static final int HEX_DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_LITERAL

          static final int HEX_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HOOK

          static final int HOOK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INCR

          static final int INCR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INT_SUFFIX

          static final int INT_SUFFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          static final int INTEGER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACE

          static final int LBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACKET

          static final int LBRACKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LSHIFTASSIGN

          static final int LSHIFTASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### METHOD_PREFIX

          static final int METHOD_PREFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUSASSIGN

          static final int MINUSASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MULTI_LINE_COMMENT

          static final int MULTI_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NEWLINE

          static final int NEWLINE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OCTAL_LITERAL

          static final int OCTAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ORASSIGN

          static final int ORASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PARENT

          static final int PARENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUSASSIGN

          static final int PLUSASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### POW

          static final int POW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACE

          static final int RBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACKET

          static final int RBRACKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REL_LABEL

          static final int REL_LABEL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REMASSIGN

          static final int REMASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RSIGNEDSHIFTASSIGN

          static final int RSIGNEDSHIFTASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RUNSIGNEDSHIFTASSIGN

          static final int RUNSIGNEDSHIFTASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SC_AND

          static final int SC_AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SC_OR

          static final int SC_OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMICOLON

          static final int SEMICOLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SIBLING

          static final int SIBLING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SINGLE_LINE_COMMENT

          static final int SINGLE_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SLASH

          static final int SLASH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SLASHASSIGN

          static final int SLASHASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STARASSIGN

          static final int STARASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_CHAR

          static final int STRING_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage

      Literal token values.

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNICODE_CHAR

          static final int UNICODE_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WORD_CHAR

          static final int WORD_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WORD_START_CHAR

          static final int WORD_START_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### XOR

          static final int XOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### XORASSIGN

          static final int XORASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values